# Common part of Makefiles for tests (MinGW mode)

include ../../config-win.mk

# Includes directories
INCLS = -I../.. -I../h -I$(LOKI_INCLUDES) -I$(BOOST_INCLUDES)
# Libraries direcrories
LIBS = -L../.. -L$(LOKI_LIB) -L$(BOOST_LIB) -lppskype -lwsock32 -lrpcrt4 -lloki -llibboost_unit_test_framework-mgw-s -llibboost_regex-mgw-s 

## DON'T CHANGE ANYTHING AFTER THIS LINE
## IF YOU ARE NOT REALLY KNOW WHAT YOU ARE DOING
CFLAGS	= -O3 -static

.PHONY: clean_common doc ref 

%.obj: %.cpp 
	$(CCP) -c $(CFLAGS) $(INCLS) $^ -o $@

ref:
	cscope -b *.cpp *.h

clean_common:
	-$(RM) *.obj
	-$(RM) *.d
	-$(FIND) . -name core -exec rm -f {} ';' 
